//
//  opcoderPlugin.h
//  opcoder
//
//  Created by Dustin O'Connor on 5/12/11.
//  Copyright 2011 umaine. All rights reserved.
//
#import <AppKit/NSSpeechSynthesizer.h>
#import <Quartz/Quartz.h>

@interface opcoderPlugIn : QCPlugIn <NSSpeechSynthesizerDelegate> {
@private
    NSSpeechSynthesizer*			_synthetizer;
    double code;
    NSString * words;
    
}
@property(retain) NSString * words;
@property double inputVol;
@property(assign) NSString* inputText;
@property(assign) NSString* inputVoice;
@property(assign) NSString* outputWords;
@property double code;
@property double outputOpcode;
@property BOOL inputRun;
@property double inputRate;



@end
